## ros-noetic-executive-smach 2.5.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(executive_smach)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-noetic-executive-smach (2.5.1-1buster) buster; urgency=high



 -- Isaac I. Y. Saito <gm130s@gmail.com>  Wed, 15 Feb 2023 05:00:00 -0000

ros-noetic-executive-smach (2.5.0-1buster) buster; urgency=high

  * Python 3 compatibility #71 <https://github.com/ros/executive_smach/issues/71>
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Shane Loretz, ahcorde

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Thu, 14 May 2020 04:00:00 -0000

ros-noetic-executive-smach (2.0.1-1buster) buster; urgency=high

  * [fix] SimpleActionState will wait forever for a missing ActionServer #41 <https://github.com/ros/executive_smach/pull/41>
  * [fix] monitor state callback args and adding unit test for monitor state that modifies userdata
  * [improve] Specify queue sizes for introspection publishers #31 <https://github.com/ros/executive_smach/pull/31>
  * [improve] make ServiceState more robust to termination while waiting for service #32 <https://github.com/ros/executive_smach/pull/32>
  * [build] make rostest in CMakeLists optional #45 <https://github.com/ros/executive_smach/pull/45>
  * change MonitorState and document its behavior
  * increment n_checks only *after* checking
    otherwise, setting max_checks=1 results in a MonitorState that returns the 'valid' outcome for any message
  * [test] adding test for actionlib timeout
  * [maintenance] Update maintainer. switching to package.xml format 2
  * Contributors: Isaac I.Y. Saito, Jonathan Bohren, Loy, Lukas Bulwahn, Nils Berg, contradict

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Thu, 08 Jun 2017 04:00:00 -0000

ros-noetic-executive-smach (2.0.0-1buster) buster; urgency=high



 -- Isaac I. Y. Saito <gm130s@gmail.com>  Thu, 17 Apr 2014 04:00:00 -0000

ros-noetic-executive-smach (1.3.1-1buster) buster; urgency=high

  * adding changelogs

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Mon, 22 Jul 2013 04:00:00 -0000

## ros-noetic-executive-smach 2.5.2

=== debian/changelog ===
ros-noetic-executive-smach (2.5.2-1focal) focal; urgency=high



 -- Isaac I. Y. Saito <gm130s@gmail.com>  Tue, 13 Jun 2023 04:00:00 -0000

ros-noetic-executive-smach (2.5.1-1focal) focal; urgency=high



 -- Isaac I. Y. Saito <gm130s@gmail.com>  Wed, 15 Feb 2023 05:00:00 -0000

ros-noetic-executive-smach (2.5.0-1focal) focal; urgency=high

  * Python 3 compatibility #71 <https://github.com/ros/executive_smach/issues/71>
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Shane Loretz, ahcorde

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Thu, 14 May 2020 04:00:00 -0000

ros-noetic-executive-smach (2.0.1-1focal) focal; urgency=high

  * [fix] SimpleActionState will wait forever for a missing ActionServer #41 <https://github.com/ros/executive_smach/pull/41>
  * [fix] monitor state callback args and adding unit test for monitor state that modifies userdata
  * [improve] Specify queue sizes for introspection publishers #31 <https://github.com/ros/executive_smach/pull/31>
  * [improve] make ServiceState more robust to termination while waiting for service #32 <https://github.com/ros/executive_smach/pull/32>
  * [build] make rostest in CMakeLists optional #45 <https://github.com/ros/executive_smach/pull/45>
  * change MonitorState and document its behavior
  * increment n_checks only *after* checking
    otherwise, setting max_checks=1 results in a MonitorState that returns the 'valid' outcome for any message
  * [test] adding test for actionlib timeout
  * [maintenance] Update maintainer. switching to package.xml format 2
  * Contributors: Isaac I.Y. Saito, Jonathan Bohren, Loy, Lukas Bulwahn, Nils Berg, contradict

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Thu, 08 Jun 2017 04:00:00 -0000

ros-noetic-executive-smach (2.0.0-1focal) focal; urgency=high



 -- Isaac I. Y. Saito <gm130s@gmail.com>  Thu, 17 Apr 2014 04:00:00 -0000

ros-noetic-executive-smach (1.3.1-1focal) focal; urgency=high

  * adding changelogs

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Mon, 22 Jul 2013 04:00:00 -0000

=== debian/control ===
Source: ros-noetic-executive-smach
Section: misc
Priority: optional
Maintainer: Isaac I. Y. Saito <gm130s@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://ros.org/wiki/smach
Standards-Version: 3.9.2

Package: ros-noetic-executive-smach
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-smach, ros-noetic-smach-msgs, ros-noetic-smach-ros
Description: This metapackage depends on the SMACH library and ROS SMACH integration packages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-executive-smach//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
